Roles
CompozyOS Roles HTTP endpoints.
GET
/api/rolesQuery Parameters
workspace?string
Workspace id, name, or path used to resolve effective role configuration
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/roles"{ "roles": [ { "acp_options": [ { "bool_value": true, "id": "string", "value_id": "string" } ], "agent": "string", "diagnostics": [ { "agent": "string", "code": "string", "message": "string" } ], "enabled": true, "fallback_chain": [ { "acp_options": [ { "bool_value": true, "id": "string", "value_id": "string" } ], "model": "string", "provider": "string", "reasoning_effort": "string", "speed": "normal" } ], "model": "string", "provenance": { "property1": "string", "property2": "string" }, "provider": "string", "reasoning_effort": "string", "resolution_mode": "builtin", "role": "string", "speed": "normal", "timeout": "string" } ]}GET
/api/roles/{role}Path Parameters
role*string
Background role name
Query Parameters
workspace?string
Workspace id, name, or path used to resolve effective role configuration
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/roles/string"{ "role": { "acp_options": [ { "bool_value": true, "id": "string", "value_id": "string" } ], "agent": "string", "diagnostics": [ { "agent": "string", "code": "string", "message": "string" } ], "enabled": true, "fallback_chain": [ { "acp_options": [ { "bool_value": true, "id": "string", "value_id": "string" } ], "model": "string", "provider": "string", "reasoning_effort": "string", "speed": "normal" } ], "model": "string", "provenance": { "property1": "string", "property2": "string" }, "provider": "string", "reasoning_effort": "string", "resolution_mode": "builtin", "role": "string", "speed": "normal", "timeout": "string" }}